org.apache.jmeter.visualizers.backend

## Class UserMetric

- java.lang.Object
- - org.apache.jmeter.visualizers.backend.UserMetric

-     public class UserMetric
      extends java.lang.Object

  User metric
  Since:
    2.13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserMetric()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SampleResult result)` Add a `SampleResult` to be used in the statistics
    `void` | `clear()` Clear stats
    `int` | `getFinishedThreads()`
    `int` | `getMaxActiveThreads()`
    `int` | `getMeanActiveThreads()`
    `int` | `getMinActiveThreads()`
    `int` | `getStartedThreads()`
    `void` | `resetForTimeInterval()` Reset metric except for percentile related data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserMetric

          public UserMetric()

  - ### Method Detail

    - #### add

          public void add(SampleResult result)

      Add a `SampleResult` to be used in the statistics
      Parameters:
        `result` - `SampleResult` not used

    - #### resetForTimeInterval

          public void resetForTimeInterval()

      Reset metric except for percentile related data

    - #### getMaxActiveThreads

          public int getMaxActiveThreads()

      Returns:
        the max number of active threads for this test run using a sliding window of SLIDING_WINDOW_SIZE

    - #### getMeanActiveThreads

          public int getMeanActiveThreads()

      Returns:
        the mean number of active threads for this test run using a sliding window of SLIDING_WINDOW_SIZE

    - #### getMinActiveThreads

          public int getMinActiveThreads()

      Returns:
        the min number of active threads for this test run using a sliding window of SLIDING_WINDOW_SIZE

    - #### getFinishedThreads

          public int getFinishedThreads()

      Returns:
        finished threads

    - #### getStartedThreads

          public int getStartedThreads()

      Returns:
        started threads

    - #### clear

          public void clear()

      Clear stats

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.